package com.mortals.xhx.module.site.web;

import com.mortals.xhx.base.system.param.service.ParamService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;
import org.springframework.web.bind.annotation.PostMapping;
import com.mortals.framework.model.Context;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import com.mortals.framework.web.BaseCRUDJsonMappingController;
import com.mortals.xhx.module.site.model.SiteMatterEntity;
import com.mortals.xhx.module.site.model.SiteMatterQuery;
import com.mortals.xhx.module.site.service.SiteMatterService;
import org.apache.commons.lang3.ArrayUtils;
import com.mortals.framework.util.StringUtils;
import java.util.HashMap;
import java.util.List;
import java.util.Map;
import java.util.stream.Collectors;
import com.alibaba.fastjson.JSONObject;
/**
*
* 站点事项
*
* @author zxfei
* @date 2022-01-12
*/
@RestController
@RequestMapping("site/matter")
public class SiteMatterController extends BaseCRUDJsonMappingController<SiteMatterService,SiteMatterForm,SiteMatterEntity,Long> {

    @Autowired
    private ParamService paramService;

    public SiteMatterController(){
        super.setFormClass(SiteMatterForm.class);
        super.setModuleDesc( "站点事项");
    }

    @Override
    protected void init(HttpServletRequest request, HttpServletResponse response, SiteMatterForm form, Map<String, Object> model, Context context) {
        super.init(request, response, form, model, context);
    }




}