package com.mortals.xhx.module.window.web;

import com.mortals.xhx.base.system.param.service.ParamService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;
import org.springframework.web.bind.annotation.PostMapping;
import com.mortals.framework.model.Context;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import com.mortals.framework.web.BaseCRUDJsonMappingController;
import com.mortals.xhx.module.window.model.WindowMatterEntity;
import com.mortals.xhx.module.window.model.WindowMatterQuery;
import com.mortals.xhx.module.window.service.WindowMatterService;
import org.apache.commons.lang3.ArrayUtils;
import com.mortals.framework.util.StringUtils;
import java.util.HashMap;
import java.util.List;
import java.util.Map;
import java.util.stream.Collectors;
import com.alibaba.fastjson.JSONObject;
/**
*
* 窗口事项
*
* @author zxfei
* @date 2022-01-12
*/
@RestController
@RequestMapping("window/matter")
public class WindowMatterController extends BaseCRUDJsonMappingController<WindowMatterService,WindowMatterForm,WindowMatterEntity,Long> {

    @Autowired
    private ParamService paramService;

    public WindowMatterController(){
        super.setFormClass(WindowMatterForm.class);
        super.setModuleDesc( "窗口事项");
    }

    @Override
    protected void init(HttpServletRequest request, HttpServletResponse response, WindowMatterForm form, Map<String, Object> model, Context context) {
        super.init(request, response, form, model, context);
    }




}