Version |  Update Time  | Status | Author |  Description
---|---|---|---|---
v2022-01-18 13:50:20|2022-01-18 13:50:20|auto|@finegirl|Created by smart-doc



## 模块
### 查询模块
**URL:** http://localhost/model/list

**Type:** POST


**Content-Type:** application/json; charset=utf-8

**Description:** 查询模块

**Body-parameters:**

Parameter | Type|Description|Required|Since
---|---|---|---|---
id|object|No comments found.|false|-
createTime|string|No comments found.|false|-
createUser|string|No comments found.|false|-
createUserId|int64|No comments found.|false|-
deleted|int32|No comments found.|false|-
createUserName|string|No comments found.|false|-
createUserDeptId|int64|No comments found.|false|-
createUserDeptName|string|No comments found.|false|-
updateTime|string|No comments found.|false|-
updateUser|string|No comments found.|false|-
updateUserId|int64|No comments found.|false|-
updateUserName|string|No comments found.|false|-
updateUserDeptId|int64|No comments found.|false|-
updateUserDeptName|string|No comments found.|false|-
page|int32|No comments found.|false|-
size|int32|No comments found.|false|-
modelName|string|模块名称|false|-
modelCode|string|模块编码|false|-
modelIcon|string|模块图标|false|-
modelUrl|string|模块地址|false|-
remark|string|备注信息|false|-
idStart|int64|开始 序号，主键，自增长|false|-
idEnd|int64|结束 序号，主键，自增长|false|-
idIncrement|int64|增加 序号，主键，自增长|false|-
idList|array|序号，主键，自增长列表|false|-
modelNameList|array|模块名称|false|-
modelCodeList|array|模块编码|false|-
modelIconList|array|模块图标|false|-
modelUrlList|array|模块地址|false|-
remarkList|array|备注信息|false|-
sortStart|int32|开始 排序|false|-
sortEnd|int32|结束 排序|false|-
sortIncrement|int32|增加 排序|false|-
sortList|array|排序列表|false|-
createTimeStart|string|开始 创建时间|false|-
createTimeEnd|string|结束 创建时间|false|-
createUserIdStart|int64|开始 创建用户|false|-
createUserIdEnd|int64|结束 创建用户|false|-
createUserIdIncrement|int64|增加 创建用户|false|-
createUserIdList|array|创建用户列表|false|-
updateTimeStart|string|开始 修改时间|false|-
updateTimeEnd|string|结束 修改时间|false|-
orConditionList|array|OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)|false|-
andConditionList|array|AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)|false|-

**Request-example:**
```
curl -X POST -H 'Content-Type: application/json; charset=utf-8' -i http://localhost/model/list --data '{
  "id": "7ye5ob",
  "createTime": "2022-01-18 13:50:28",
  "createUser": "59ri3l",
  "createUserId": 483,
  "deleted": 90,
  "createUserName": "ophelia.batz",
  "createUserDeptId": 955,
  "createUserDeptName": "ophelia.batz",
  "updateTime": "2022-01-18 13:50:28",
  "updateUser": "v56iaa",
  "updateUserId": 288,
  "updateUserName": "ophelia.batz",
  "updateUserDeptId": 508,
  "updateUserDeptName": "ophelia.batz",
  "page": 1,
  "size": 10,
  "modelName": "ophelia.batz",
  "modelCode": "92819",
  "modelIcon": "ekdu93",
  "modelUrl": "www.benton-treutel.co",
  "remark": "9hpghq",
  "idStart": 605,
  "idEnd": 301,
  "idIncrement": 470,
  "idList": [
    343
  ],
  "modelNameList": [
    "f7b0y9"
  ],
  "modelCodeList": [
    "ky1zwr"
  ],
  "modelIconList": [
    "3jkfft"
  ],
  "modelUrlList": [
    "rhjvfs"
  ],
  "remarkList": [
    "1k3d48"
  ],
  "sortStart": 17,
  "sortEnd": 598,
  "sortIncrement": 357,
  "sortList": [
    119
  ],
  "createTimeStart": "wyu9ac",
  "createTimeEnd": "eoutk9",
  "createUserIdStart": 762,
  "createUserIdEnd": 796,
  "createUserIdIncrement": 768,
  "createUserIdList": [
    28
  ],
  "updateTimeStart": "72qwlu",
  "updateTimeEnd": "0tzvbs",
  "orConditionList": [
    {
      "$ref": ".."
    }
  ],
  "andConditionList": [
    {
      "$ref": ".."
    }
  ]
}'
```

**Response-example:**
```
string
```

### 编辑模块
**URL:** http://localhost/model/edit

**Type:** GET


**Content-Type:** application/x-www-form-urlencoded;charset=utf-8

**Description:** 编辑模块

**Query-parameters:**

Parameter | Type|Description|Required|Since
---|---|---|---|---
id|int64|No comments found.|false|-

**Request-example:**
```
curl -X GET -i http://localhost/model/edit?id=549
```

**Response-example:**
```
string
```

### 保存模块
**URL:** http://localhost/model/save

**Type:** POST


**Content-Type:** application/json; charset=utf-8

**Description:** 保存模块

**Body-parameters:**

Parameter | Type|Description|Required|Since
---|---|---|---|---
id|object|No comments found.|false|-
createTime|string|No comments found.|false|-
createUser|string|No comments found.|false|-
createUserId|int64|No comments found.|false|-
deleted|int32|No comments found.|false|-
createUserName|string|No comments found.|false|-
createUserDeptId|int64|No comments found.|false|-
createUserDeptName|string|No comments found.|false|-
updateTime|string|No comments found.|false|-
updateUser|string|No comments found.|false|-
updateUserId|int64|No comments found.|false|-
updateUserName|string|No comments found.|false|-
updateUserDeptId|int64|No comments found.|false|-
updateUserDeptName|string|No comments found.|false|-
page|int32|No comments found.|false|-
size|int32|No comments found.|false|-
modelName|string|模块名称|false|-
modelCode|string|模块编码|false|-
modelIcon|string|模块图标|false|-
modelUrl|string|模块地址|false|-
remark|string|备注信息|false|-

**Request-example:**
```
curl -X POST -H 'Content-Type: application/json; charset=utf-8' -i http://localhost/model/save --data '{
  "id": "spyid1",
  "createTime": "2022-01-18 13:50:29",
  "createUser": "38c0as",
  "createUserId": 481,
  "deleted": 527,
  "createUserName": "ophelia.batz",
  "createUserDeptId": 717,
  "createUserDeptName": "ophelia.batz",
  "updateTime": "2022-01-18 13:50:29",
  "updateUser": "aui9sw",
  "updateUserId": 456,
  "updateUserName": "ophelia.batz",
  "updateUserDeptId": 394,
  "updateUserDeptName": "ophelia.batz",
  "page": 1,
  "size": 10,
  "modelName": "ophelia.batz",
  "modelCode": "92819",
  "modelIcon": "ack2hb",
  "modelUrl": "www.benton-treutel.co",
  "remark": "uxgi8f"
}'
```

**Response-example:**
```
string
```

### 删除模块
**URL:** http://localhost/model/delete

**Type:** GET


**Content-Type:** application/x-www-form-urlencoded;charset=utf-8

**Description:** 删除模块

**Query-parameters:**

Parameter | Type|Description|Required|Since
---|---|---|---|---
id|string|No comments found.|false|-

**Request-example:**
```
curl -X GET -i http://localhost/model/delete?id=195
```

**Response-example:**
```
string
```

### 查看模块
**URL:** http://localhost/model/info

**Type:** GET


**Content-Type:** application/x-www-form-urlencoded;charset=utf-8

**Description:** 查看模块

**Query-parameters:**

Parameter | Type|Description|Required|Since
---|---|---|---|---
id|int64|No comments found.|false|-

**Request-example:**
```
curl -X GET -i http://localhost/model/info?id=34
```

**Response-example:**
```
string
```

### 逻辑删除模块
**URL:** http://localhost/model/logicDelete

**Type:** POST


**Content-Type:** application/json; charset=utf-8

**Description:** 逻辑删除模块

**Body-parameters:**

Parameter | Type|Description|Required|Since
---|---|---|---|---
id|object|No comments found.|false|-
createTime|string|No comments found.|false|-
createUser|string|No comments found.|false|-
createUserId|int64|No comments found.|false|-
deleted|int32|No comments found.|false|-
createUserName|string|No comments found.|false|-
createUserDeptId|int64|No comments found.|false|-
createUserDeptName|string|No comments found.|false|-
updateTime|string|No comments found.|false|-
updateUser|string|No comments found.|false|-
updateUserId|int64|No comments found.|false|-
updateUserName|string|No comments found.|false|-
updateUserDeptId|int64|No comments found.|false|-
updateUserDeptName|string|No comments found.|false|-
page|int32|No comments found.|false|-
size|int32|No comments found.|false|-
modelName|string|模块名称|false|-
modelCode|string|模块编码|false|-
modelIcon|string|模块图标|false|-
modelUrl|string|模块地址|false|-
remark|string|备注信息|false|-

**Request-example:**
```
curl -X POST -H 'Content-Type: application/json; charset=utf-8' -i http://localhost/model/logicDelete --data '{
  "id": "3943rc",
  "createTime": "2022-01-18 13:50:29",
  "createUser": "3ldyrq",
  "createUserId": 315,
  "deleted": 629,
  "createUserName": "ophelia.batz",
  "createUserDeptId": 197,
  "createUserDeptName": "ophelia.batz",
  "updateTime": "2022-01-18 13:50:29",
  "updateUser": "ldjpwi",
  "updateUserId": 687,
  "updateUserName": "ophelia.batz",
  "updateUserDeptId": 41,
  "updateUserDeptName": "ophelia.batz",
  "page": 1,
  "size": 10,
  "modelName": "ophelia.batz",
  "modelCode": "92819",
  "modelIcon": "qcbczp",
  "modelUrl": "www.benton-treutel.co",
  "remark": "u2xutz"
}'
```

**Response-example:**
```
string
```

### 模块导入模板下载
**URL:** http://localhost/model/downloadTemplate

**Type:** POST


**Content-Type:** application/x-www-form-urlencoded;charset=utf-8

**Description:** 模块导入模板下载

**Request-example:**
```
curl -X POST -i http://localhost/model/downloadTemplate
```

**Response-example:**
```
Return void.
```

### 模块导入
**URL:** http://localhost/model/importData

**Type:** POST


**Content-Type:** multipart/form-data

**Description:** 模块导入

**Query-parameters:**

Parameter | Type|Description|Required|Since
---|---|---|---|---
file|file|No comments found.|true|-
updateSupport|boolean|No comments found.|false|-

**Request-example:**
```
curl -X POST -H 'Content-Type: multipart/form-data' -i http://localhost/model/importData --data 'updateSupport=true'
```

**Response-example:**
```
string
```

## 错误码列表
Error code |Description
---|---
200|ok
400|Bad Request
401|Unauthorized
403|Forbidden
404|Not Found
415|Unsupported Media Type
500|Internal Server Error
502|Bad Gateway
503|Service Unavailable

