package com.mortals.xhx.module.workman.model.vo;
import com.mortals.framework.model.BaseEntityLong;
import com.mortals.xhx.module.workman.model.WorkmanEntity;
import lombok.Data;

import java.util.ArrayList;
import java.util.List;
/**
* 工作人员视图对象
*
* @author zxfei
* @date 2022-01-12
*/
@Data
public class WorkmanVo extends BaseEntityLong {

    /**
     * 登录名
     */
    private String loginName;

    /**
     * 登录密码，使用md5双次加密
     */
    private String loginPwd;

    /**
     * 系统用户名
     */
    private String systemUserName;

    /**
     * 权限Id
     */
    private Long roleId;


}