package com.mortals.xhx.module.business.web;

import com.mortals.xhx.base.system.param.service.ParamService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;
import org.springframework.web.bind.annotation.PostMapping;
import com.mortals.framework.model.Context;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import com.mortals.framework.web.BaseCRUDJsonMappingController;
import com.mortals.xhx.module.business.model.BusinessMatterEntity;
import com.mortals.xhx.module.business.model.BusinessMatterQuery;
import com.mortals.xhx.module.business.service.BusinessMatterService;
import org.apache.commons.lang3.ArrayUtils;
import com.mortals.framework.util.StringUtils;
import java.util.HashMap;
import java.util.List;
import java.util.Map;
import java.util.stream.Collectors;
import com.alibaba.fastjson.JSONObject;
/**
*
* 业务事项关联
*
* @author zxfei
* @date 2022-01-12
*/
@RestController
@RequestMapping("business/matter")
public class BusinessMatterController extends BaseCRUDJsonMappingController<BusinessMatterService,BusinessMatterForm,BusinessMatterEntity,Long> {

    @Autowired
    private ParamService paramService;

    public BusinessMatterController(){
        super.setFormClass(BusinessMatterForm.class);
        super.setModuleDesc( "业务事项关联");
    }

    @Override
    protected void init(HttpServletRequest request, HttpServletResponse response, BusinessMatterForm form, Map<String, Object> model, Context context) {
        super.init(request, response, form, model, context);
    }




}