package com.mortals.xhx.module.site.web;

import com.mortals.xhx.base.system.param.service.ParamService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;
import com.mortals.framework.model.Context;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import com.mortals.framework.web.BaseCRUDJsonMappingController;
import com.mortals.xhx.module.site.model.SiteModelEntity;
import com.mortals.xhx.module.site.model.SiteModelQuery;
import com.mortals.xhx.module.site.service.SiteModelService;
import org.apache.commons.lang3.ArrayUtils;
import com.mortals.framework.util.StringUtils;
import java.util.HashMap;
import java.util.List;
import java.util.Map;
import java.util.stream.Collectors;
/**
*
* 站点模块
*
* @author zxfei
* @date 2022-01-10
*/
@RestController
@RequestMapping("site/model")
public class SiteModelController extends BaseCRUDJsonMappingController<SiteModelService,SiteModelForm,SiteModelEntity,Long> {

    @Autowired
    private ParamService paramService;

    public SiteModelController(){
        super.setFormClass(SiteModelForm.class);
        super.setModuleDesc( "站点模块");
    }

    @Override
    protected void init(HttpServletRequest request, HttpServletResponse response, SiteModelForm form, Map<String, Object> model, Context context) {
        super.init(request, response, form, model, context);
    }




}